MAILQ(1)                    General Commands Manual                   MAILQ(1)



NNAAMMEE
       mailq - print the mail queue

SSYYNNOOPPSSIISS
       mmaaiillqq [--AAcc] [--qq......]  [--vv]

DDEESSCCRRIIPPTTIIOONN
       MMaaiillqq prints a summary of the mail messages queued for future delivery.

       The  first  line printed for each message shows the internal identifier
       used on this host for the message with a possible status character, the
       size  of  the  message  in  bytes,  the  date  and time the message was
       accepted into the queue, and the envelope sender of the  message.   The
       second  line  shows  the  error  message that caused this message to be
       retained in the queue; it will not be present if the message  is  being
       processed  for  the  first time.  The status characters are either ** to
       indicate the job is being processed; XX to indicate that the load is too
       high to process the job; and -- to indicate that the job is too young to
       process.  The following lines show message recipients, one per line.

       MMaaiillqq is identical to ``sendmail -bp''.

       The relevant options are as follows:

       --AAcc    Show the mail submission queue specified in  _/_e_t_c_/_m_a_i_l_/_s_u_b_m_i_t_._c_f
              instead of the MTA queue specified in _/_e_t_c_/_m_a_i_l_/_s_e_n_d_m_a_i_l_._c_f.

       --qqLL    Show  the  "lost"  items in the mail queue instead of the normal
              queue items.

       --qqQQ    Show the quarantined items in the mail queue instead of the nor-
              mal queue items.

       --qq[_!]I substr
              Limit  processed  jobs to those containing _s_u_b_s_t_r as a substring
              of the queue id or not when _!  is specified.

       --qq[_!]Q substr
              Limit processed jobs to quarantined jobs containing _s_u_b_s_t_r as  a
              substring of the quarantine reason or not when _!  is specified.

       --qq[_!]R substr
              Limit  processed  jobs to those containing _s_u_b_s_t_r as a substring
              of one of the recipients or not when _!  is specified.

       --qq[_!]S substr
              Limit processed jobs to those containing _s_u_b_s_t_r as  a  substring
              of the sender or not when _!  is specified.

       --vv     Print  verbose  information.  This adds the priority of the mes-
              sage and a single character indicator (``+'' or blank)  indicat-
              ing whether a warning message has been sent on the first line of
              the message.  Additionally, extra lines may be  intermixed  with
              the  recipients indicating the ``controlling user'' information;
              this shows who will own any programs that are executed on behalf
              of  this message and the name of the alias this command expanded
              from, if any.  Moreover, status messages for each recipient  are
              printed if available.

       Several  sendmail.cf  options influence the behavior of the mmaaiillqq util-
       ity: The number of items printed  per  queue  group  is  restricted  by
       MMaaxxQQuueeuueeRRuunnSSiizzee  if  that  value is set.  The status character ** is not
       printed for some values of QQuueeuueeSSoorrttOOrrddeerr,, e.g., filename, random, mod-
       ification,  and none, unless a --qq option is used to limit the processed
       jobs.

       The mmaaiillqq utility exits 0 on success, and >0 if an error occurs.

SSEEEE AALLSSOO
       sendmail(8)

HHIISSTTOORRYY
       The mmaaiillqq command appeared in 4.0BSD.



                         $Date: 2007/03/22 18:21:27 $                 MAILQ(1)
